#! /bin/sh

BROKER_ALLUP="${top_builddir}/allup/src/broker_allup -ORBEndpoint iiop://localhost:0"
CBHEY=${top_builddir}/cbhey/src/cbhey

$BROKER_ALLUP -f -p allup.pid > allup.out 2>&1

trap 'kill `cat allup.pid` > /dev/null 2>&1' EXIT

##

run_test env CBHEY_PATH=.libs $CBHEY -l

grep_output_for "FLO_QUERY"

##

$CBHEY file://allup.ior create library with name ${top_builddir}/allup/test/.libs/libcxxtest > cxxt.ior

$CBHEY file://cxxt.ior list > /dev/null

if grep "FLO_HEY" allup.out > /dev/null 2>&1; then
    :
else
    echo "Unable to talk to libcxxtest?"
    exit 1
fi

##

run_test $CBHEY file://allup.ior list libraries

check_output "Unable to list libraries?" <<EOF
${top_builddir}/allup/test/.libs/libcxxtest
EOF

##

run_test $CBHEY file://allup.ior shutdown

check_output "Unable to shutdown allup?" <<EOF
ok
EOF

##
