/*
 * assert_pp.c
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file assert_pp.c
 *
 * Implementations of the functions in assert_pp.h.
 */

#include "config.h"

#include <stdio.h>
#include <assert_pp.h>

int pp_failed(char *file, unsigned int line,
	      const char* func, char *type, char *expr)
{
    /* A more assert-like failure message */
    fprintf(stderr,
	    "%s:%u:%s(): %s failed: %s\n",
	    file, line, func, type, expr);
    abort();
}
