/*
 * rt_scheduler_unix.c
 *
 * Copyright (c) 2004 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file rt_scheduler_unix.c
 *
 * Empty implementation of the rt_scheduler interface.
 */

#include "config.h"

#include <errno.h>
#include <stdio.h>

#include "rt_scheduler.h"

int rts_query_scheduler(rts_scheduler_data_t rsd)
{
    int retval = 0;

    if( rsd == NULL )
    {
	retval = EINVAL;
    }
    else
    {
	rsd->rsd_Flags = 0;
	rsd->rsd_MaxReservable = 0.0;
    }
    return( retval );
}

int rts_grab_schedulable(rts_schedulable_t *rs,
			 pid_t member,
			 const char *name)
{
    int retval = ENOSYS;

    return( retval );
}

int rts_release_schedulable(rts_schedulable_t rs)
{
    int retval = ENOSYS;

    return( retval );
}

int rts_set_schedule(rts_schedulable_t rsa, rts_schedule_t rs)
{
    int retval = ENOSYS;

    return( retval );
}

int rts_get_schedule(rts_schedulable_t rsa, rts_schedule_t rs)
{
    int retval = ENOSYS;

    return( retval );
}

int rts_clear_schedule(rts_schedulable_t rsa)
{
    int retval = ENOSYS;
    
    return( retval );
}
