/*
 * RTServerWrapper.cc
 *
 * Copyright (c) 2003, 2004 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file RTServerWrapper.cc
 *
 * Implementation of the RTServerWrapper class.
 */

#include "config.h"

#include <iostream>

#include <BasicTaskQosketImpl.hh>

using namespace std;

#include "RTServerWrapper.hh"

RTServerWrapper::RTServerWrapper(Broker::RealTimeTask_ptr rtt,
				 CORBA::ULong period,
				 CORBA::ULong deadline)
{
    this->rta_Advocate = rtt;
    this->rta_KeyedReportParameters = new Broker::KeyedReportParameters();
    this->rta_Period = period;
    this->rta_Deadline = deadline;
    this->rta_Qosket = this;
    this->rta_UsageStart_Sec = 0;
    this->rta_UsageStart_uSec = 0;
}

RTServerWrapper::~RTServerWrapper()
{
    delete this->rta_KeyedReportParameters;
}

RTServer_ptr RTServerWrapper::getRemoteObject()
{
    return this->quo_remoteObj;
}
