#! /bin/sh

QUO_KERNEL="${top_builddir}/qosket/basic/cpp/basic_kernel -ORBEndpoint iiop://localhost:0"
BROKER_ALLUP="${top_builddir}/allup/src/broker_allup -ORBEndpoint iiop://localhost:0"
CBHEY=${top_builddir}/cbhey/src/cbhey

$BROKER_ALLUP -f -p allup.pid > allup.out 2>&1

$QUO_KERNEL &
KERNEL_PID="$!"

trap 'kill `cat allup.pid`; kill $KERNEL_PID' EXIT

sleep 2

##

run_test $CBHEY -l

grep_output_for "IMP:QuoAdvocate:1.0" \
    "Unable to list supported interfaces?"

##

$CBHEY file://allup.ior create library with name ${top_builddir}/libbroker/src/.libs/libcpu-broker > cb.ior
$CBHEY file://allup.ior create library with name ${top_builddir}/task_factories/src/.libs/libtask_factories > task_factories.ior

$CBHEY file://cb.ior create manager with name dummy > manager.ior
$CBHEY file://cb.ior create stub-real-time-task with name srtt > srtt.ior

$CBHEY file://quoKernel.ior create sys-cond with app-id status idl-type quo::ValueSC impl-type quo_sc::ValueSCImpl > sc.ior
$CBHEY file://task_factories.ior create quo-advocate with name qa > qa.ior
$CBHEY -c IDL:BrokerDelegates/Delegate:1.0 file://qa.ior set remote-object to file://srtt.ior > /dev/null

##

run_test $CBHEY -c IMP:QuoAdvocate:1.0 file://qa.ior set status-sc to file://sc.ior

check_output "Unable to set status-sc?" <<EOF
ok
EOF

##

#run_test $CBHEY -c IMP:QuoAdvocate:1.0 file://qa.ior get status-sc

#check_output "Unable to get status-sc?" < sc.ior

##

run_test $CBHEY -c IDL:Broker/RealTimeTask:1.0 file://qa.ior set manager to file://manager.ior

check_output "Unable to set the manager?" <<EOF
ok
EOF

##

run_test $CBHEY -c IDL:Broker/RealTimeTask:1.0 file://qa.ior execute report-cpu with status.period 100000 status.compute 40000 advice.period 100000 advice.compute 40000

check_output "Unable to report CPU usage?" <<EOF
ok
EOF

##

run_test $CBHEY file://sc.ior get long-value

check_output "Unable to get long-value?" <<EOF
40000
EOF

##
